Subject: [v6ops] 6to4-historic summary point: 3. "non-RFC1918 addresses"

From: Fred Baker <[email-masked]>
Date: Wed, 27 Apr 2011 13:17:21 -0700

> 3. "non-RFC1918 addresses"
> --------------------------
>   - The issue (B), if I understand correctly, it is essentially about usage of non-RFC1918 addresses in networks,
>     connected to Internet e.g. using a NAT. There are existing mitigations to this problem
>     (e.g. Windows implementation will not configure 6to4 interface if there is other IPv6 connectivity
>     in the network; depending on particular implementation, in managed environments administrators may
>     have control whether to enable or disable 6to4 on hosts). But even leaving those mitigations aside,
>     it seems that the de-prioritization of 6to4 in prefix policy table below IPv4 in the proposed RFC 3484
>     revision would take care of this issue, and moving RFC 3056 is a much stronger measure, which doesn't
>     seem to be necessary, as far as the issue (B) is concerned. With the revised RFC 3484, 6to4 will be one
>     of the "last resort" mechanisms, which will essentially be used only if nothing else can, so it won't
>     be harmful.
> 
> Reply: with the introduction of CGNs non-RFC1918 addresses may have limited topological span making them
>       unsuitable for 6to4.
> 
>     So to summarize, in my opinion, in the current draft there seem to be sufficient arguments to move RFC 3068
>     to historic, but not RFC 3056. There may be such arguments for RFC 3056, but if there are, I think they
>     are not sufficiently reflected in the draft. 
> 
> Reply: Current text states:
>        - Not deployed
>        - Same problems as 3068 for the reverse path
>        - Same problem with filtering
>        - Not working with non-1918 addresses with topologically limited span
> 
> Actions: Suggestions for text to make it even clearer why also 3056 needs to be deprecated?

Does the working group agree with the summarization of the concern? Do we agree with the proposed action?

Reply if the answer is "no", and give a better suggestion.

---

From: Dmitry Anipko <[email-masked]>
Date: Sat, 30 Apr 2011 17:09:36 -0700

>>Does the working group agree with the summarization of the concern? 

I agree the concern was summarized correctly.

>> Do we agree with the proposed action?

As I said in the quoted feedback, I don't think the action draft proposes is necessary to address the problem quoted, for the reasons listed below in the feedback summary. So I agree with the proposed action to change the text and I propose: to remove all the references about moving RFC 3056 to historic status from the draft, since in my opinion the draft doesn't state sufficient reasons for moving RFC 3056 to historic. Those of the listed problems, which are specific to 6to4, are addressed by the companion advisory and RFC 3484bis. Those which are not specific to 6to4, in my opinion, shall not be in the draft.

Thank you.

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Fred Baker [[email-masked]]
Sent: Wednesday, April 27, 2011 1:17 PM
To: [email-masked] WG
Subject: [v6ops] 6to4-historic summary point: 3. "non-RFC1918 addresses"

Reply if the answer is "no", and give a better suggestion.
_______________________________________________
v6ops mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/v6ops